Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/lib/libterminfo Abort an error.



details:   https://anonhg.NetBSD.org/src/rev/47862bddea2b
branches:  trunk
changeset: 752680:47862bddea2b
user:      roy <roy%NetBSD.org@localhost>
date:      Wed Mar 03 12:09:49 2010 +0000

description:
Abort an error.

diffstat:

 lib/libterminfo/genhash  |  5 +++--
 lib/libterminfo/genman   |  3 ++-
 lib/libterminfo/genterms |  3 ++-
 lib/libterminfo/genthash |  5 +++--
 4 files changed, 10 insertions(+), 6 deletions(-)

diffs (90 lines):

diff -r b202c97eb114 -r 47862bddea2b lib/libterminfo/genhash
--- a/lib/libterminfo/genhash   Wed Mar 03 11:08:00 2010 +0000
+++ b/lib/libterminfo/genhash   Wed Mar 03 12:09:49 2010 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $NetBSD: genhash,v 1.5 2010/02/04 12:25:08 roy Exp $
+# $NetBSD: genhash,v 1.6 2010/03/03 12:09:49 roy Exp $
 
 # Copyright (c) 2009 The NetBSD Foundation, Inc.
 #
@@ -32,6 +32,7 @@
 # This allows us to freely change how we hash or store our string tables
 # in the future.
 
+set -e
 : ${TOOL_AWK:=awk}
 : ${TOOL_NBPERF:=nbperf}
 : ${TOOL_SED:=sed}
@@ -92,7 +93,7 @@
 #endif
 
 #include <sys/cdefs.h>
-__RCSID("\$NetBSD: genhash,v 1.5 2010/02/04 12:25:08 roy Exp $");
+__RCSID("\$NetBSD: genhash,v 1.6 2010/03/03 12:09:49 roy Exp $");
 
 #include <stdint.h>
 #include <stdlib.h>
diff -r b202c97eb114 -r 47862bddea2b lib/libterminfo/genman
--- a/lib/libterminfo/genman    Wed Mar 03 11:08:00 2010 +0000
+++ b/lib/libterminfo/genman    Wed Mar 03 12:09:49 2010 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $NetBSD: genman,v 1.2 2010/02/03 20:56:54 roy Exp $
+# $NetBSD: genman,v 1.3 2010/03/03 12:09:49 roy Exp $
 
 # Copyright (c) 2009 The NetBSD Foundation, Inc.
 #
@@ -29,6 +29,7 @@
 
 # Generate variable tables for terminfo.5 from our source files.
 
+set -e
 : ${TOOL_SED:=sed}
 : ${TOOL_SORT:=sort}
 
diff -r b202c97eb114 -r 47862bddea2b lib/libterminfo/genterms
--- a/lib/libterminfo/genterms  Wed Mar 03 11:08:00 2010 +0000
+++ b/lib/libterminfo/genterms  Wed Mar 03 12:09:49 2010 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $NetBSD: genterms,v 1.1 2010/02/12 12:18:33 roy Exp $
+# $NetBSD: genterms,v 1.2 2010/03/03 12:09:49 roy Exp $
 
 # Copyright (c) 2010 The NetBSD Foundation, Inc.
 #
@@ -29,6 +29,7 @@
 
 # Generate compiled terminfo descriptions to embed into libterminfo
 
+set -e
 : ${TOOL_TIC:=tic}
 : ${NETBSDSRCDIR:=/usr/src}
 : ${TERMINFO:=${NETBSDSRCDIR}/share/terminfo/terminfo}
diff -r b202c97eb114 -r 47862bddea2b lib/libterminfo/genthash
--- a/lib/libterminfo/genthash  Wed Mar 03 11:08:00 2010 +0000
+++ b/lib/libterminfo/genthash  Wed Mar 03 12:09:49 2010 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $NetBSD: genthash,v 1.3 2010/02/04 09:46:26 roy Exp $
+# $NetBSD: genthash,v 1.4 2010/03/03 12:09:49 roy Exp $
 
 # Copyright (c) 2009 The NetBSD Foundation, Inc.
 #
@@ -29,6 +29,7 @@
 
 # Generate string and hash tables for our termcap strings in termcap.c
 
+set -e
 : ${TOOL_NBPERF:=nbperf}
 : ${TOOL_SED:=sed}
 
@@ -40,7 +41,7 @@
  * Automatically generated from termcap.c */
 
 #include <sys/cdefs.h>
-__RCSID("\$NetBSD: genthash,v 1.3 2010/02/04 09:46:26 roy Exp $");
+__RCSID("\$NetBSD: genthash,v 1.4 2010/03/03 12:09:49 roy Exp $");
 
 #include <stdint.h>
 #include <stdlib.h>



Home | Main Index | Thread Index | Old Index